Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Mon 24 Nov 2014, 00:29
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Games
The Mana World
Post new topic   Reply to topic View previous topic :: View next topic
Page 2 of 3 [35 Posts]   Goto page: Previous 1, 2, 3 Next
Author Message
technosaurus


Joined: 18 May 2008
Posts: 4376

PostPosted: Tue 12 Jan 2010, 18:29    Post subject:  

see pet packaging 101 in my signature
_________________
Web Programming - Pet Packaging 100 & 101
Back to top
View user's profile Send private message 
gulk


Joined: 21 Apr 2008
Posts: 86

PostPosted: Sat 06 Feb 2010, 13:59    Post subject: Mana world client 0.029.1
Subject description: Latest client avail as of Feb 2010
 

BobSongs wrote:

request
Any hope of seeing this package updated to version 0.0.29.1?


I built the latest client (0.0.29.1) and made a pet out of it.
It requires the same libs as in the first post. If the game does not start, symlink the guichan, guichan-sdl and physfs libraries in your /usr/lib folder
For example:
Code:

ln -s libguichan-0.8.1.so.1 libguichan.so
ln -s libguichan_sdl-0.8.1.so.1.0.0 libguichan_sdl.so
ln -s libphysfs-1.0.so.1.0.0 libphysfs.so


Have fun!


[Edit] cannot seem to be able to attach the .pet here... It's 6.4MB.
[Edit2] Uploaded the file on Megaupload, no password: http://www.megaupload.com/?d=X8YVEDPS
[Edit3] Built for puppy 4.2.1, should run on any 4+ puppies
Back to top
View user's profile Send private message 
scabz


Joined: 30 Apr 2009
Posts: 308
Location: Tallahassee FL US

PostPosted: Sat 06 Feb 2010, 15:13    Post subject: Re: Mana world client 0.029.1
Subject description: Latest client avail as of Feb 2010
 

gulk wrote:
BobSongs wrote:

request
Any hope of seeing this package updated to version 0.0.29.1?


I built the latest client (0.0.29.1) and made a pet out of it.
It requires the same libs as in the first post. If the game does not start, symlink the guichan, guichan-sdl and physfs libraries in your /usr/lib folder
For example:
Code:

ln -s libguichan-0.8.1.so.1 libguichan.so
ln -s libguichan_sdl-0.8.1.so.1.0.0 libguichan_sdl.so
ln -s libphysfs-1.0.so.1.0.0 libphysfs.so


Have fun!


[Edit] cannot seem to be able to attach the .pet here... It's 6.4MB.
[Edit2] Uploaded the file on Megaupload, no password: http://www.megaupload.com/?d=X8YVEDPS
[Edit3] Built for puppy 4.2.1, should run on any 4+ puppies


Thanks for your pet works fine
mirror http://scabz.homelinux.com/Pets/The_Mana_World/tmw-0.0.29.1.pet
Back to top
View user's profile Send private message AIM Address Yahoo Messenger 
omskates


Joined: 03 Sep 2009
Posts: 257
Location: TriCities, WA

PostPosted: Sat 06 Feb 2010, 15:50    Post subject:  

That's awesome, I was just trying to compile TMW and ran into autoconf
problem, went to ask a question on this thread and BAM there's your TMW pet post. THANKYOU Very Happy
Back to top
View user's profile Send private message 
BobSongs


Joined: 06 Feb 2008
Posts: 81

PostPosted: Fri 12 Feb 2010, 17:01    Post subject:  

nods
Thank you very much, the pet file worked perfectly.

I am deeply grateful.
Back to top
View user's profile Send private message 
omskates


Joined: 03 Sep 2009
Posts: 257
Location: TriCities, WA

PostPosted: Thu 25 Mar 2010, 07:31    Post subject:  

Gulk,
Any chance for a pet for the advanced client with the 4144 patch Plz?
Back to top
View user's profile Send private message 
gulk


Joined: 21 Apr 2008
Posts: 86

PostPosted: Fri 26 Mar 2010, 13:02    Post subject:  

omskates wrote:
Gulk,
Any chance for a pet for the advanced client with the 4144 patch Plz?


I'll look into that this week-end.
BTW, I am Morpok on the default server.
Cheers.

Edit: where do I get that code patch?
Back to top
View user's profile Send private message 
omskates


Joined: 03 Sep 2009
Posts: 257
Location: TriCities, WA

PostPosted: Mon 03 May 2010, 11:09    Post subject:  

gulk wrote:
omskates wrote:
Gulk,
Any chance for a pet for the advanced client with the 4144 patch Plz?


I'll look into that this week-end.
BTW, I am Morpok on the default server.
Cheers.

Edit: where do I get that code patch?


I'm not sure where to get the 4144 version Sad I'll have to keep an eye out for you Morpok Smile I'm usually playing as 'Shainen'
Back to top
View user's profile Send private message 
gulk


Joined: 21 Apr 2008
Posts: 86

PostPosted: Sun 18 Jul 2010, 10:17    Post subject:  

omskates wrote:

I'm not sure where to get the 4144 version Sad


Good news! I stumbled upon the 4144 source code at http://tmw.cetki.com/4144/
I downloaded the latest (2010/07/18 ), version 1.0.7.18.
The developers call it "manaplus", because it brings a lot of enhancements to the official TMW client.

I kind of had trouble to compile it because of some header files missing for all those SDL dependencies, but got it in the end. I had to compile the SDL_gfx by hand, because the one from Lighthouse 443 (my current workhorse, thanks Tazoc, it's just awesome!!!) was not recent enough.

I attached the SDL_gfx lib here in case you need. Just download, extract and copy it into /usr/lib/ folder. I didn't include it in the .pet to avoid potential overwrite of your existing libraries.

Since the 4144 patch size is somewhat bigger, I had to put it on Megaupload. You can have it at http://www.megaupload.com/?d=EKQQ30N0 (11MB)

Let me know if you have trouble with the build, thanks!

PS: from the 4144 release notes:
ManaPlus 1.0.7.18:
fix: moved mumble from recommended to suggested in deb packages.
fix: allow set more then 99 stat points, max 120.
Work only on servers with this ability, like UFB server.
fix: show player level.
fix: improve speed in openGL mode.
fix: crash on exit.
fix: dont fix player position in default attack mode.
add: updated russian translation (Schekoldin Ivan).
add: context menu to players in online list.
add: chat commands /befriend, /disregard, /neutral.
add: allow set fps from 2 to 160.
add: allow set gui opacity from 2 to 100 %.
libSDL_gfx.tar
Description 
tar

 Download 
Filename  libSDL_gfx.tar 
Filesize  230 KB 
Downloaded  518 Time(s) 
Back to top
View user's profile Send private message 
omskates


Joined: 03 Sep 2009
Posts: 257
Location: TriCities, WA

PostPosted: Tue 27 Jul 2010, 22:23    Post subject:  

gulk wrote:

Let me know if you have trouble with the build, thanks!


Thanks for this, I will!! Very Happy
Back to top
View user's profile Send private message 
breslavian

Joined: 02 Aug 2010
Posts: 16

PostPosted: Wed 04 Aug 2010, 19:36    Post subject:  

clicking on it doesn't start (and yes, I also clicked on the manaplus icon on usr/bin) ... can anyone tell me what I am missing here?
Back to top
View user's profile Send private message 
gulk


Joined: 21 Apr 2008
Posts: 86

PostPosted: Sun 08 Aug 2010, 14:14    Post subject:  

breslavian wrote:
clicking on it doesn't start (and yes, I also clicked on the manaplus icon on usr/bin) ... can anyone tell me what I am missing here?


Hi breslavian,

can you open a console and type 'manaplus' in there?
Then copy the error messages that you get from the console.

What puppy version are you using?

My hunch is that you have some missing libs and the console dump should clear all that.

Regards,
Gulk
Back to top
View user's profile Send private message 
breslavian

Joined: 02 Aug 2010
Posts: 16

PostPosted: Sun 29 Aug 2010, 03:47    Post subject:  

oops, I forgot I commented on this thread.

um, I tried rxvt and got

# manaplus
manaplus: error while loading shared libraries: libSDL_net-1.2.so.0: cannot open shared object file: No such file or directory

I downloaded libSDL on packages.debian.org, clicked and then retyped manaplus

# manaplus
manaplus: error while loading shared libraries: libenet.so.0: cannot open shared object file: No such file or directory

I did the same thing on that site, but all I got was
libenet1-dev_1.1-2_i386.deb ... clicked that, and still got the libenet.so.0 error.

The Version, Lucid Puppy 5.1

Thanks :]

edit

I tried installing The Mana World.

went past some dependencies/libs on rxvt

but got stuck on libpng.so.3

I found it again on http://packages.debian.org/lenny/all/libpng3/download

but doesn't work still
Back to top
View user's profile Send private message 
gulk


Joined: 21 Apr 2008
Posts: 86

PostPosted: Fri 03 Sep 2010, 20:19    Post subject:  

Hi, you should be able to find all required libs either as attached in this thread or from ttuuxx link(http://www.puppylinux.ca/tpp/ttuuxxx/programs/SDL-Programs/

If you still can't I'll try to fix something for you.

Regards,
gulk
Back to top
View user's profile Send private message 
breslavian

Joined: 02 Aug 2010
Posts: 16

PostPosted: Sat 04 Sep 2010, 11:16    Post subject:  

thanks for the link (also for the reply)

I installing all those pets that started with SDL. After doing so, I used again rxvt and typed manaplus and this whas what I got.

# manaplus
manaplus: error while loading shared libraries: libenet.so.0: cannot open shared object file: No such file or directory

so I type for themanaworld (tmw) and this was what I got

# tmw
Error: Unable to load mouse cursors.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 2 of 3 [35 Posts]   Goto page: Previous 1, 2, 3 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Games
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0900s ][ Queries: 13 (0.0068s) ][ GZIP on ]